Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		VLGothic-fonts
Version:	20071215
Release:	1
Summary:	Japanese TrueType font
License:	mplus and BSD
Group:		Fonts
URL:		http://dicey.org/vlgothic
Source0:	http://vinelinux.org/~daisuke/vlgothic/VLGothic-%{version}.tar.bz2
Source1:	59-VLGothic-sans.conf
Source2:	59-VLGothic-monospace.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%description
VLGothic provides Japanese TrueType fonts from the Vine Linux project.
Most of the glyphs are taken from the M+ and Sazanami Gothic fonts, 
but some have also been improved by the project.

The main package provides the monospace VLGothic font.

%description -l ja
VLゴシックフォントファミリは、 M+ FONTS PROJECT による M+1C および M+1M フォントを
英数字、かな、および一部の漢字に使用し、不足部分として Electronic Font Open Laboratory
による さざなみゴシックフォント をベースに Project Vine が改変し漢字部に使用した
ゴシック体の日本語 TrueType フォントです。

%package	proportional
Summary:	Proportional Japanese TrueType font
Group:		%{group}

%description	proportional
This provides the VLGothic font with proportional glyphs for some non-Japanese
characters.

%post
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache -f %{fontdir} || :
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache -f %{fontdir} || :
  fi
fi

%post proportional
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache -f %{fontdir}-proportional || :
fi

%postun proportional
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache -f %{fontdir}-proportional || :
  fi
fi

%prep
%setup -q -n VLGothic

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/fonts/conf.d
install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/fonts/conf.d
install -p -m644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/fonts/conf.d

mkdir -p $RPM_BUILD_ROOT/%{fontdir}
mkdir -p $RPM_BUILD_ROOT/%{fontdir}-proportional
install -p -m644 VL-Gothic-Regular.ttf $RPM_BUILD_ROOT/%{fontdir}
install -p -m644 VL-PGothic-Regular.ttf $RPM_BUILD_ROOT/%{fontdir}-proportional

%files
%defattr(-,root,root,-)
%doc README* LICENSE*
%dir %{fontdir}
%config(noreplace) %{_sysconfdir}/fonts/conf.d/59-VLGothic-monospace.conf
%{fontdir}/VL-Gothic-Regular.ttf

%files proportional
%doc README* LICENSE*
%dir %{fontdir}-proportional
%config(noreplace) %{_sysconfdir}/fonts/conf.d/59-VLGothic-sans.conf
%{fontdir}-proportional/VL-PGothic-Regular.ttf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 20071215-1
- Initial release
